- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-chroot.cc File Reference

`#include <config.h>`
`#include "sbuild-chroot.h"`
`#include "sbuild-chroot-directory.h"`
`#include "sbuild-chroot-plain.h"`
`#include "sbuild-chroot-file.h"`
`#include "sbuild-chroot-block-device.h"`
`#include "sbuild-chroot-lvm-snapshot.h"`
`#include "sbuild-lock.h"`
`#include <algorithm>`
`#include <cerrno>`
`#include <map>`
`#include <set>`
`#include <utility>`
`#include <ext/stdio_filebuf.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <boost/format.hpp>`

Include dependency graph for sbuild-chroot.cc:

## Typedefs
typedef std::pair< sbuild::chroot::error_code, const char * > | emap
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<sbuild::chroot::error_code,const char *> emap`[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {
          emap(sbuild::chroot::CHROOT_CREATE,   N_("Chroot creation failed")),
          emap(sbuild::chroot::CHROOT_DEVICE,   N_("Device name not set")),

          emap(sbuild::chroot::CHROOT_TYPE,     N_("Unknown chroot type '%1%'")),
          emap(sbuild::chroot::DEVICE_ABS,      N_("Device must have an absolute path")),
          emap(sbuild::chroot::DEVICE_LOCK,     N_("Failed to lock device")),
          emap(sbuild::chroot::DEVICE_NOTBLOCK, N_("File is not a block device")),
          emap(sbuild::chroot::DEVICE_STAT,     N_("Failed to stat device")),
          emap(sbuild::chroot::DEVICE_UNLOCK,   N_("Failed to unlock device")),
          emap(sbuild::chroot::FILE_ABS,        N_("File must have an absolute path")),
          emap(sbuild::chroot::FILE_LOCK,       N_("Failed to acquire file lock")),
          emap(sbuild::chroot::FILE_NOTREG,     N_("File is not a regular file")),
          emap(sbuild::chroot::FILE_OWNER,      N_("File is not owned by user root")),
          emap(sbuild::chroot::FILE_PERMS,      N_("File has write permissions for others")),
          emap(sbuild::chroot::FILE_STAT,       N_("Failed to stat file")),
          emap(sbuild::chroot::FILE_UNLOCK,     N_("Failed to discard file lock")),
          emap(sbuild::chroot::LOCATION_ABS,    N_("Location must have an absolute path")),

          emap(sbuild::chroot::SESSION_UNLINK,  N_("Failed to unlink session file")),
          emap(sbuild::chroot::SESSION_WRITE,   N_("Failed to write session file"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.